# Address Verification Service (AVS)

Address Verification Service (AVS) is a fraud-prevention service that determines the match of a cardholder's address. AVS responses help you determine if a transaction is valid in card-not-present environments.

<table><thead><tr><th width="179">Response Code</th><th>Message</th></tr></thead><tbody><tr><td>X</td><td>Match of address and 9-digit zip code</td></tr><tr><td>Y</td><td>Match of address and 5-digit zip code</td></tr><tr><td>W</td><td>Match of 9-digit zip code; address does not match</td></tr><tr><td>Z</td><td>Match of 5-digit zip code; address does not match</td></tr><tr><td>A</td><td>Address: Address Matches ZIP Does Not Match</td></tr><tr><td>N</td><td>No: Address and ZIP Do Not Match</td></tr><tr><td>G</td><td>Address information not verified</td></tr><tr><td>S</td><td>Service Not Supported: Issuer does not support address verification</td></tr><tr><td>U</td><td>Address information is unavailable</td></tr><tr><td>E</td><td>Error: Transaction ineligible for address verification</td></tr><tr><td>R</td><td>Retry: System Unavailable or Timeout</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/resources/card-response-and-result-codes/address-verification-service-avs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
